{% assign separator = '&nbsp; / &nbsp;' %}
{% unless template == 'index' %}{% comment %} or template == 'cart'{% endcomment %}
<nav class="breadcrumb" role="navigation" aria-label="breadcrumbs">
  <a href="/" title="{{ 'general.breadcrumbs.home_link_title' | t }}">{{ 'general.breadcrumbs.home' | t }}</a>

  {% if template contains 'product' %}

    {% if collection %}
      <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
      {% if collection.handle %}
        {% capture url %}/collections/{{ collection.handle }}{% endcapture %}
        {{ collection.title | link_to: url }}
      {% endif %}
    {% endif %}
    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    {% if eq_current_sub_category %}
    <a href="{{ collection.url }}/{{ eq_current_sub_category | handleize }}">{{ eq_current_sub_category }}</a>
    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    {% endif %}
    {% unless collection or eq_current_sub_category %}
    <a href="{{ eq_continue_shopping_url }}" title="Continue shopping">Continue shopping</a>
    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    {% endunless %}
    <span class="current-page">{{ product.title }}</span>

  {% elsif template contains 'collection' and collection.handle %}

    {% if collection.handle == 'sale' %}
    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    <a href="{{ eq_continue_shopping_url }}">Continue Shopping</a>
    {% endif %}
    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    {% if current_tags %}
      {% capture url %}/collections/{{ collection.handle }}{% endcapture %}
      {{ collection.title | link_to: url }}
      {% capture current_tags_excl_subcat %}{%
        for current_tag in current_tags %}{%
          if current_tag != eq_current_sub_category %}{{ current_tag }},{%
          endif %}{%
        endfor %}{%
      endcapture %}
      {% assign current_tags_excl_subcat = current_tags_excl_subcat | split: ',' | uniq %}
      {% if current_tags_excl_subcat.size > 0 %}
        {% if eq_current_sub_category != blank %}
      <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
          {% capture url %}/collections/{{ collection.handle }}/{{ eq_current_sub_category | handleize }}{% endcapture %}
          {{ eq_current_sub_category | link_to: url }}
        {% endif %}
      <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
      <span class="current-page">{{ current_tags_excl_subcat | join: " + " }}</span>{% comment %}{{ current_tags | join: " + " }}{% endcomment %}
      {% else %}
      <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
      <span class="current-page">{{ eq_current_sub_category }}</span>
      {% endif %}
    {% else %}
      <span class="current-page current-page-{{ collection.handle }}">{{ collection.title }}</span>
    {% endif %}

  {% elsif template == 'blog' %}

    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    {% if current_tags %}
      {{ blog.title | link_to: blog.url }}
      <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
      <span class="current-page">{{ current_tags | join: " + " }}</span>
    {% else %}
    <span class="current-page">{{ blog.title }}</span>
    {% endif %}

  {% elsif template == 'article' %}

    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    {{ blog.title | link_to: blog.url }}
    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    <span class="current-page">{{ article.title }}</span>

  {% elsif template contains 'page' %}

    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    <span class="current-page">{{ page.title }}</span>

  {% elsif template contains 'cart' %}

    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    <a href="{{ eq_continue_shopping_url }}" title="Continue shopping">Continue shopping</a>
  
    <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
    <span class="current-page">Checkout</span>
  
  {% else %}

   <span aria-hidden="true" class="breadcrumb-sep">{{ separator }}</span>
   <span class="current-page">{% if template contains 'search' %}Search: {% endif %}{{ page_title }}</span>

  {% endif %}
</nav>
{% endunless %}
